// Fonts
@import url('https://fonts.googleapis.com/css?family=Nunito');
// Variables
@import 'variables';
// Bootstrap
@import '../../node_modules/bootstrap/scss/bootstrap';

.navbar-laravel {
  background-color: #fff;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.04);
}

/*******************************************************************************/

@font-face {
  font-family: 'IRANSansWeb_Bold';
  font-style: normal;
  font-weight: bold;
  src: url('../fonts/eot/IRANSansWeb_Bold.eot');
  src: url('../fonts/eot/IRANSansWeb_Bold.eot?#iefix') format('embedded-opentype'), /* IE6-8 */
  url('../fonts/woff2/IRANSansWeb_Bold.woff2') format('woff2'), /* FF39+,Chrome36+, Opera24+*/
  url('../fonts/woff/IRANSansWeb_Bold.woff') format('woff'), /* FF3.6+, IE9, Chrome6+, Saf5.1+*/
  url('../fonts/ttf/IRANSansWeb_Bold.ttf') format('truetype');
}

@font-face {
  font-family: 'IRANSansWeb_Medium';
  font-style: normal;
  font-weight: 500;
  src: url('../fonts/eot/IRANSansWeb_Medium.eot');
  src: url('../fonts/eot/IRANSansWeb_Medium.eot?#iefix') format('embedded-opentype'), /* IE6-8 */
  url('../fonts/woff2/IRANSansWeb_Medium.woff2') format('woff2'), /* FF39+,Chrome36+, Opera24+*/
  url('../fonts/woff/IRANSansWeb_Medium.woff') format('woff'), /* FF3.6+, IE9, Chrome6+, Saf5.1+*/
  url('../fonts/ttf/IRANSansWeb_Medium.ttf') format('truetype');
}

@font-face {
  font-family: 'IRANSansWeb_Light';
  font-style: normal;
  font-weight: 300;
  src: url('../fonts/eot/IRANSansWeb_Light.eot');
  src: url('../fonts/eot/IRANSansWeb_Light.eot?#iefix') format('embedded-opentype'), /* IE6-8 */
  url('../fonts/woff2/IRANSansWeb_Light.woff2') format('woff2'), /* FF39+,Chrome36+, Opera24+*/
  url('../fonts/woff/IRANSansWeb_Light.woff') format('woff'), /* FF3.6+, IE9, Chrome6+, Saf5.1+*/
  url('../fonts/ttf/IRANSansWeb_Light.ttf') format('truetype');
}

@font-face {
  font-family: 'IRANSansWeb_UltraLight';
  font-style: normal;
  font-weight: 200;
  src: url('../fonts/eot/IRANSansWeb_UltraLight.eot');
  src: url('../fonts/eot/IRANSansWeb_UltraLight.eot?#iefix') format('embedded-opentype'), /* IE6-8 */
  url('../fonts/woff2/IRANSansWeb_UltraLight.woff2') format('woff2'), /* FF39+,Chrome36+, Opera24+*/
  url('../fonts/woff/IRANSansWeb_UltraLight.woff') format('woff'), /* FF3.6+, IE9, Chrome6+, Saf5.1+*/
  url('../fonts/ttf/IRANSansWeb_UltraLight.ttf') format('truetype');
}

@font-face {
  font-family: 'IRANSansWeb';
  font-style: normal;
  font-weight: normal;
  src: url('../fonts/eot/IRANSansWeb.eot');
  src: url('../fonts/eot/IRANSansWeb.eot?#iefix') format('embedded-opentype'), /* IE6-8 */
  url('../fonts/woff2/IRANSansWeb.woff2') format('woff2'), /* FF39+,Chrome36+, Opera24+*/
  url('../fonts/woff/IRANSansWeb.woff') format('woff'), /* FF3.6+, IE9, Chrome6+, Saf5.1+*/
  url('../fonts/ttf/IRANSansWeb.ttf') format('truetype');
}

.ErrorBox {
  font-size: 20px;
}

// Extra small devices (portrait phones, less than 576px)
@media (max-width: 575.98px) {

  .Container {
    background-image: url('../images/bg-02-xs.jpg');
    font-family: 'IRANSansWeb_Light';
    min-height: 100vh;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    overflow-x: hidden;
  }
  .FirstRow {
    @include make-row();
  }
  .LoginFormFrame {
    direction: ltr;
    @include make-col(10);
    @include make-col-offset(1);
    border-radius: 5px;
    background-color: #ffffff;
    margin-top: 39%;
    margin-bottom: 10%;
  }
  .LoginFormFrame h1 {
    font-size: 26px;
    margin-top: 30px;
    margin-bottom: 30px;
  }
  .LoginFormFrame form {
    @include make-col(12);
    @include make-col-offset(0);
    margin-bottom: 15px;
    padding-right: 15px;
    padding-left: 15px;
    padding-top: 2%;
  }
  .SignInBtn {
    background-color: #bd59d4;
    color: #ffffff;
    padding: 15px 30px;
    border-radius: 25px;
    font-family: 'IRANSansWeb_Bold';
  }
  .InputsGroup {
    margin: 10px auto;
  }
  .one-edge-shadow {
    box-shadow: 0 8px 6px -6px black;
  }

  .LoginFormBTN {
    @include make-col(10);
    @include make-col-offset(1);
    //@extend .InputsGroup;
    text-align: center;
  }
  //.LoginFormBTN input {
  //  @extend .one-edge-shadow;
  //}
  /*************************************/
  .ListImages {
    @include make-col(12);
    background-color: #467fcf;
  }
  .OutSideImages {
    @include make-col(12);
  }
  img {
    padding-bottom: 5px;
    padding-top: 5px;
  }
  /****************Forgotten Link********************/
  .ForgottenPassword {
    text-align: center;
    @include make-row();
    margin-top: 22%;
    padding-right: 10px;
    padding-left: 10px;
    position: relative;
  }
  .ForgottenPassword a {
    @include make-col(12);
    text-decoration: none;
    //color: #ffffff;
    text-align: center;
  }
  /****************** error log page************************/
  .ErrorFrame {
    @include make-col(12);
    padding-left: 15px;
    padding-right: 15px;
    font-size: 14px;
  }
  .ErrorBox {
    @include make-col(12);
    margin-top: 15px;
  }
  .ErrorMessage {
    @include make-col(12);
    display: block;
    text-align: center;
    margin-top: 5px;
  }
}

// Small devices (landscape phones, 576px and up)
@media (min-width: 576px) and (max-width: 767.98px) {
  .Container {
    background-image: url('../images/bg-02-sm.jpg');
    font-family: 'IRANSansWeb_Light';
    min-height: 100vh;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    overflow-x: hidden;
  }
  .FirstRow {
    @include make-row();
  }
  .LoginFormFrame {
    direction: ltr;
    @include make-col(8);
    @include make-col-offset(2);
    border-radius: 5px;
    background-color: #ffffff;
    margin-top: 39%;
    margin-bottom: 10%;
  }
  .LoginFormFrame h1 {
    font-size: 26px;
    margin-top: 30px;
    margin-bottom: 30px;
  }
  .LoginFormFrame form {
    @include make-col(12);
    @include make-col-offset(0);
    margin-bottom: 15px;
    padding-right: 15px;
    padding-left: 15px;
    padding-top: 2%;
  }
  .SignInBtn {
    background-color: #bd59d4;
    color: #ffffff;
    padding: 15px 30px;
    border-radius: 25px;
    font-family: 'IRANSansWeb_Bold';
  }
  .InputsGroup {
    margin: 10px auto;
  }
  .one-edge-shadow {
    box-shadow: 0 8px 6px -6px black;
  }

  .LoginFormBTN {
    @include make-col(10);
    @include make-col-offset(1);
    text-align: center;
  }
  /****************Forgotten Link********************/
  .ForgottenPassword {
    text-align: center;
    @include make-row();
    margin-top: 22%;
    padding-right: 10px;
    padding-left: 10px;
    position: relative;
  }
  .ForgottenPassword a {
    @include make-col(12);
    text-decoration: none;
    //color: #ffffff;
    text-align: center;
  }
  /****************** error log page************************/
  .ErrorFrame {
    @include make-col(12);
    padding-left: 15px;
    padding-right: 15px;
    font-size: 14px;
  }
  .ErrorBox {
    @include make-col(12);
    margin-top: 15px;
  }
  .ErrorMessage {
    @include make-col(12);
    display: block;
    text-align: center;
    margin-top: 5px;
  }
}

// Medium devices (tablets, 768px and up)
@media (min-width: 768px) and (max-width: 991.98px) {
  .Container {
    background-image: url('../images/bg-02.jpg');
    font-family: 'IRANSansWeb_Light';
    min-height: 100vh;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    overflow-x: hidden;
  }
  .FirstRow {
    @include make-row();
  }
  .LoginFormFrame {
    direction: ltr;
    @include make-col(6);
    @include make-col-offset(3);
    border-radius: 5px;
    background-color: #ffffff;
    margin-top: 39%;
    margin-bottom: 10%;
  }
  .LoginFormFrame h1 {
    font-size: 26px;
    margin-top: 30px;
    margin-bottom: 30px;
  }
  .LoginFormFrame form {
    @include make-col(12);
    @include make-col-offset(0);
    margin-bottom: 15px;
    padding-right: 15px;
    padding-left: 15px;
    padding-top: 2%;
  }
  .SignInBtn {
    background-color: #bd59d4;
    color: #ffffff;
    padding: 15px 30px;
    border-radius: 25px;
    font-family: 'IRANSansWeb_Bold';
  }
  .InputsGroup {
    margin: 10px auto;
  }
  .one-edge-shadow {
    box-shadow: 0 8px 6px -6px black;
  }

  .LoginFormBTN {
    @include make-col(10);
    @include make-col-offset(1);
    text-align: center;
  }
  /****************Forgotten Link********************/
  .ForgottenPassword {
    text-align: center;
    @include make-row();
    margin-top: 22%;
    padding-right: 10px;
    padding-left: 10px;
    position: relative;
  }
  .ForgottenPassword a {
    @include make-col(12);
    text-decoration: none;
    //color: #ffffff;
    text-align: center;
  }
  /****************** error log page************************/
  .ErrorFrame {
    @include make-col(12);
    padding-left: 15px;
    padding-right: 15px;
    font-size: 14px;
  }
  .ErrorBox {
    @include make-col(12);
    margin-top: 15px;
  }
  .ErrorMessage {
    @include make-col(12);
    display: block;
    text-align: center;
    margin-top: 5px;
  }
}

// Large devices (desktops, 992px and up)
@media (min-width: 992px) and (max-width: 1199.98px) {
  .Container {
    background-image: url('../images/bg-02.jpg');
    font-family: 'IRANSansWeb_Light';
    min-height: 100vh;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    overflow-x: hidden;
  }
  .FirstRow {
    @include make-row();
  }
  .LoginFormFrame {
    direction: ltr;
    @include make-col(4);
    @include make-col-offset(4);
    border-radius: 5px;
    background-color: #ffffff;
    margin-top: 39%;
    margin-bottom: 10%;
  }
  .LoginFormFrame h1 {
    font-size: 26px;
    margin-top: 30px;
    margin-bottom: 30px;
  }
  .LoginFormFrame form {
    @include make-col(12);
    @include make-col-offset(0);
    margin-bottom: 15px;
    padding-right: 15px;
    padding-left: 15px;
    padding-top: 2%;
  }
  .SignInBtn {
    background-color: #bd59d4;
    color: #ffffff;
    padding: 15px 30px;
    border-radius: 25px;
    font-family: 'IRANSansWeb_Bold';
  }
  .InputsGroup {
    margin: 10px auto;
  }
  .one-edge-shadow {
    box-shadow: 0 8px 6px -6px black;
  }

  .LoginFormBTN {
    @include make-col(10);
    @include make-col-offset(1);
    text-align: center;
  }
  /****************Forgotten Link********************/
  .ForgottenPassword {
    text-align: center;
    @include make-row();
    margin-top: 22%;
    padding-right: 10px;
    padding-left: 10px;
    position: relative;
  }
  .ForgottenPassword a {
    @include make-col(12);
    text-decoration: none;
    text-align: center;
  }
  /****************** error log page************************/
  .ErrorFrame {
    @include make-col(12);
    padding-left: 15px;
    padding-right: 15px;
    font-size: 14px;
  }
  .ErrorBox {
    @include make-col(12);
    margin-top: 15px;
  }
  .ErrorMessage {
    @include make-col(12);
    display: block;
    text-align: center;
    margin-top: 5px;
  }
}

// Extra large devices (large desktops, 1200px and up)
@media (min-width: 1200px) {
  .Container {
    background-image: url('../images/bg-02.jpg');
    font-family: 'IRANSansWeb_Light';
    min-height: 100vh;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    overflow-x: hidden;
  }
  .FirstRow {
    @include make-row();
  }
  .LoginFormFrame {
    direction: ltr;
    @include make-col(4);
    @include make-col-offset(4);
    border-radius: 5px;
    background-color: #ffffff;
    margin-top: 10%;
  }
  .LoginFormFrame h1 {
    font-size: 26px;
    margin-top: 30px;
    margin-bottom: 30px;
  }
  .LoginFormFrame form {
    @include make-col(12);
    @include make-col-offset(0);
    margin-bottom: 15px;
    padding-right: 15px;
    padding-left: 15px;
    padding-top: 2%;
  }
  .SignInBtn {
    background-color: #bd59d4;
    color: #ffffff;
    padding: 15px 30px;
    border-radius: 25px;
    font-family: 'IRANSansWeb_Bold';
  }
  .InputsGroup {
    margin: 10px auto;
  }
  .one-edge-shadow {
    box-shadow: 0 8px 6px -6px black;
  }

  .LoginFormBTN {
    @include make-col(10);
    @include make-col-offset(1);
    text-align: center;
  }
  /****************Forgotten Link********************/
  .ForgottenPassword {
    text-align: center;
    @include make-row();
    margin-top: 22%;
    padding-right: 10px;
    padding-left: 10px;
    position: relative;
  }
  .ForgottenPassword a {
    @include make-col(12);
    text-decoration: none;
    text-align: center;
  }
  /****************** error log page************************/
  .ErrorFrame {
    @include make-col(12);
    padding-left: 15px;
    padding-right: 15px;
    font-size: 14px;
  }
  .ErrorBox {
    @include make-col(12);
    margin-top: 15px;
  }
  .ErrorMessage {
    @include make-col(12);
    display: block;
    text-align: center;
    margin-top: 5px;
  }
}
